Technical Requirements for Online Learning

Technical Requirements for Online Learning
Technical Requirements

Canvas Technical Requirements 
This is a list of basic computer system requirements to use Canvas. It is always recommended to use the most up-to-date versions and better internet connections. Canvas will still run with the minimum specifications, but you may experience slower loading times.

Computer Specifications
Canvas and its hosting infrastructure are designed for maximum compatibility and minimal requirements.

Screen Size

A minimum of 800x600. That is the average size of a netbook. You probably won't want to view Canvas on a smaller screen than that.
Operating Systems

Operating Systems

Windows XP SP3 and newer
Mac OSX 10.6 and newer
Linux - chromeOS

Mobile Operating System Native App Support

iOS apps require version 11 or later
Android  apps require version 5.0 or later .All Android and iOS both support the two most recent versions of their respective operating systems.

Computer Speed and Processor

Use a computer 5 years old or newer when possible
1GB of RAM
2GHz processor

Internet Speed

Along with compatibility and web standards, Canvas has been carefully crafted to accommodate low bandwidth environments.
Minimum of 512k

Screen Readers

The latest versions of JAWS and VoiceOver

Notice* Canvas recommends a minimum bandwidth of 512K which is basic DSL. Dial-up internet access is longer a viable option for online learners

Which browsers does Canvas support?
Because it's built using web standards, Canvas runs on Windows, Mac, Linux, iOS, & Android or any other device with a modern web browser.

If you are interested in minimums here they are:

Internet Explorer 8
Chrome 19
Safari 5
Firefox 12
Flash 9 (if you want to use the audio/video recording or viewing feature, the Chat feature or upload files)

But rather than focusing on minimums, we highly recommend updating to the newest version of whatever browser you are using as well as the most up to date Flash plug-in.

Other Notes:

Flash is required in several places in Canvas: media recording/streaming and viewing, chat, and uploading files to a course or an assignment. Other than these features, Flash is not required to use most areas of Canvas.

The Java plug-in is required for screen sharing in Conferences. Otherwise, there are no other browser plug-ins used by Canvas.

The Canvas UI was optimized for desktop displays, small form factors such as phones may not be as pleasant to use Canvas with. We recommend trying out our Mobile App (instructure.com/mobile) if you are on an iPhone or have an iPad.

There are only 2 hard requirements:

You have to have JavaScript enabled in your browser.
No IE 6 or 7, they're just too old to be able to do do the interactive things Canvas does.
 
 
 
 

 

92108